Bug 231425 - Xephyr crashes when running xdpyinfo
Xephyr crashes when running xdpyinfo
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-07 23:19 EST by Ray Strode [halfline]
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 16:22:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2007-03-07 23:19:01 EST
If I do something like:

Xephyr -ac :123 &
export DISPLAY=:123
xdpyinfo

Then this is the output:
$ xdpyinfo
name of display:    :123.0
version number:    11.0
vendor string:    The X.Org Foundation
vendor release number:    10299901
X.Org version: 1.2.99.901
maximum request size:  16777212 bytes
motion buffer size:  256
bitmap unit, bit order, padding:    32, LSBFirst, 32
image byte order:    LSBFirst
number of supported pixmap formats:    7
supported pixmap formats:
    depth 1, bits_per_pixel 1, scanline_pad 32
    depth 4, bits_per_pixel 4, scanline_pad 32
    depth 8, bits_per_pixel 8, scanline_pad 32
    depth 15, bits_per_pixel 16, scanline_pad 32
    depth 16, bits_per_pixel 16, scanline_pad 32
    depth 24, bits_per_pixel 32, scanline_pad 32
    depth 32, bits_per_pixel 32, scanline_pad 32
keycode range:    minimum 8, maximum 255
focus:  PointerRoot
number of extensions:    30
    BIG-REQUESTS
    Composite
    DAMAGE
    DEC-XTRAP
    DOUBLE-BUFFER
    DPMS
    Extended-Visual-Information
    GLX
    MIT-SCREEN-SAVER
    MIT-SHM
    MIT-SUNDRY-NONSTANDARD
    RANDR
    RECORD
    RENDER
    SECURITY
    SGI-GLX
    SHAPE
    SYNC
    TOG-CUP
    X-Resource
    XAccessControlExtension
    XC-APPGROUP
    XC-MISC
    XFIXES
    XFree86-Bigfont
    XINERAMA
    XInputExtension
    XKEYBOARD
    XTEST
    XVideo
default screen number:    0
number of screens:    1

screen #0:
  dimensions:    640x480 pixels (217x163 millimeters)
  resolution:    75x75 dots per inch
  depths (7):    1, 4, 8, 15, 16, 24, 32
  root window id:    0x3b
  depth of root window:    24 planes
  number of colormaps:    minimum 1, maximum 1
  default colormap:    0x20
  default number of colormap cells:    256
  preallocated pixels:    black 0, white 16777215
  options:    backing-store NO, save-unders NO
  largest cursor:    640x480
  current input event mask:    0x0
  number of visuals:    2
  default visual id:  0x21
  visual:
    visual id:    0x21
    class:    TrueColor
    depth:    24 planes
    available colormap entries:    256 per subfield
    red, green, blue masks:    0xff0000, 0xff00, 0xff
    significant bits in color specification:    8 bits
  visual:
    visual id:    0x39
    class:    TrueColor
    depth:    32 planes
    available colormap entries:    256 per subfield
    red, green, blue masks:    0xff0000, 0xff00, 0xff
    significant bits in color specification:    8 bits
[1]+  Segmentation fault      (core dumped) Xephyr -ac :123


stack trace:

Program received signal SIGSEGV, Segmentation fault.
__glXMesaScreenDestroy (screen=0x9b0c9c0) at xf86glx.c:285
285             if (mesaScreen->xm_vis[i])
(gdb) bt full
#0  __glXMesaScreenDestroy (screen=0x9b0c9c0) at xf86glx.c:285
        i = 0
#1  0x08125977 in __glXResetScreens () at glxscreens.c:358
        i = 0
#2  0x08124b1c in ResetExtension (extEntry=0x9b0cb48) at glxext.c:75
No locals.
#3  0x08076176 in CloseDownExtensions () at extension.c:293
        i = 21
        j = 0
#4  0x0807a15f in main (argc=3, argv=0xbf85c7a4, envp=0x5de4a0) at main.c:451
        pScreen = <value optimized out>
        i = 1
        error = 2203416
        xauthfile = <value optimized out>
        alwaysCheckForInput = {0, 1}
#5  0x0039eec0 in __libc_start_main () from /lib/libc.so.6
No symbol table info available.
#6  0x0805e251 in _start ()
No symbol table info available.

$ rpm -q xorg-x11-server-Xephyr
xorg-x11-server-Xephyr-1.2.99.901-1.fc7.i386
Comment 1 Matěj Cepl 2007-03-09 11:12:34 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Ray Strode [halfline] 2007-03-09 19:18:51 EST
Note the bug is against Xephyr not Xorg.  It doesn't produce a
/var/log/Xorg.0.log or use a /etc/X11/xorg.conf
Comment 3 Matěj Cepl 2007-03-12 18:43:03 EDT
Sorry, my mistake.
Comment 4 Adam Jackson 2007-03-13 16:22:06 EDT
Blah.  Hate kdrive.  Hate it so hard.

Fixed in 1.2.99.901-2.

Note You need to log in before you can comment on or make changes to this bug.